Package io.vertx.reactivex.sqlclient

## Class PreparedStatement

- java.lang.Object
- - io.vertx.reactivex.sqlclient.PreparedStatement

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class PreparedStatement
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  A prepared statement, the statement is pre-compiled and it's more efficient to execute the statement for multiple times. In addition, this kind of statement provides protection against SQL injection attacks.

  From a prepared statement you can

  - use `query()` to create and execute a `PreparedQuery`
  - use `cursor()` to create a `Cursor`
  - use `createStream(int)` to create a `RowStream`

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<PreparedStatement>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PreparedStatement​(PreparedStatement delegate)` |
    `PreparedStatement​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Future<Void>` | `close()` | Close the prepared query and release its resources.
    `RowStream<Row>` | `createStream​(int fetch)` | Like `createStream(int)` but with empty arguments.
    `RowStream<Row>` | `createStream​(int fetch, Tuple args)` | Execute the prepared query with a cursor and createStream the result.
    `Cursor` | `cursor()` | Like `cursor()` but with empty arguments.
    `Cursor` | `cursor​(Tuple args)` | Create a cursor with the provided `arguments`.
    `boolean` | `equals​(Object o)` |
    `PreparedStatement` | `getDelegate()` |
    `int` | `hashCode()` |
    `static PreparedStatement` | `newInstance​(PreparedStatement arg)` |
    `PreparedQuery<RowSet<Row>>` | `query()` | Create a prepared query for this statement.
    `Completable` | `rxClose()` | Close the prepared query and release its resources.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<PreparedStatement> __TYPE_ARG

  - ### Constructor Detail

    - #### PreparedStatement

          public PreparedStatement​(PreparedStatement delegate)

    - #### PreparedStatement

          public PreparedStatement​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public PreparedStatement getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### query

          public PreparedQuery<RowSet<Row>> query()

      Create a prepared query for this statement.
      Returns:
        the prepared query

    - #### cursor

          public Cursor cursor()

      Like `cursor()` but with empty arguments.
      Returns:

    - #### cursor

          public Cursor cursor​(Tuple args)

      Create a cursor with the provided `arguments`.
      Parameters:
        `args` - the list of arguments
      Returns:
        the query

    - #### createStream

          public RowStream<Row> createStream​(int fetch)

      Like `createStream(int)` but with empty arguments.
      Parameters:
        `fetch` -
      Returns:

    - #### createStream

          public RowStream<Row> createStream​(int fetch,
                                             Tuple args)

      Execute the prepared query with a cursor and createStream the result. The createStream opens a cursor with a `fetch` size to fetch the results.

      Note: this requires to be in a transaction, since cursors require it.
      Parameters:
        `fetch` - the cursor fetch size
        `args` - the prepared query arguments
      Returns:
        the createStream

    - #### close

          public Future<Void> close()

      Close the prepared query and release its resources.
      Returns:

    - #### rxClose

          public Completable rxClose()

      Close the prepared query and release its resources.
      Returns:

    - #### newInstance

          public static PreparedStatement newInstance​(PreparedStatement arg)